Bug 213971 - INIT handler hang up if we push INIT botton when user app on domVTi is working.
INIT handler hang up if we push INIT botton when user app on domVTi is working.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Aron Griffis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 21:01 EST by Akio Takebe
Modified: 2010-10-22 02:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:03:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
for kernel-2.6.18-1.2739.el5 (519 bytes, patch)
2006-11-14 22:55 EST, Akio Takebe
no flags Details | Diff

  None (edit)
Description Akio Takebe 2006-11-03 21:01:13 EST
Description of problem:
INIT handler hang up if we push INIT botton when user application on domVTi is 
working. Debug message is not shown completely if INIT handler is hang up.

Version-Release number of selected component (if applicable):
2.6.18-1.2714.el5xen

How reproducible:
about 50%.
(reproducibility is 100% when user program is running.
but we don't know whether kernel or user app is ran 
when we push INIT botton.)

Steps to Reproduce:
1. create domVTi
2. run user application
3. push INIT botton
  
Actual results:
Sometime don't show debug messages completely.

Expected results:
Alwasys show debug messages completely.

Additional info:
This issue is fixed in xen-ia64-unstable.
http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?cs=77bf1d1628a7
Comment 2 Akio Takebe 2006-11-14 22:55:35 EST
Created attachment 141219 [details]
for kernel-2.6.18-1.2739.el5

I remake the patch for kernel-2.6.18-1.2739.el5.
Please apply it.

Best Regards,

Akio Takebe
Comment 3 RHEL Product and Program Management 2006-11-15 10:01:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Larry Troan 2006-11-20 14:22:42 EST
Per discussion with Prarit and Aron,
Bug 213971: 
> Status-NEW, back-ported patch available
(mundane patch in xen/arch/ia64/linux-xen/minstate.h)
Should go into RHEL5.0 before GA.

Aron please ACK for devel; QA please ACK/NAK as appropriate.
Comment 5 Jay Turner 2006-11-20 15:40:36 EST
QE ack for RHEL5.
Comment 6 Larry Troan 2006-11-21 18:24:50 EST
Aron/Prarit, need for you to ACK this for development so we can esscalate for RHEL5.
Comment 7 Larry Troan 2006-11-28 09:40:08 EST
Ping!
Comment 8 Larry Troan 2006-11-28 09:53:05 EST
Ping devel.......... Please ACK and put bug in ASSIGNED state.
Comment 11 Larry Troan 2006-12-03 17:46:12 EST
Escalating for RHEL5.0 consideration per Thursday's RHEL5 meeting.

Based on comment #10, we need a DEVEL ACK (Aron/Prarit). 
Patch available. Changing bug to ASSIGNED.
Comment 12 Aron Griffis 2006-12-04 17:23:26 EST
devel ACK
Comment 16 Aron Griffis 2006-12-18 09:43:40 EST
in 2.6.18-1.2839.el5
Comment 17 RHEL Product and Program Management 2006-12-22 21:03:53 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.